\documentclass[../main.tex]{subfiles}
\begin{document}
Providing the first schedule is a classical problem of constraint programming. Between the triage and more common scheduling, there is no fundamental difference. It's the dynamic scheduling that incorporates some difficulties because in a short time we want to modify the emplacement of a small number of agents while minimizing the repercussions to the other. We can suppose that the base solution was somewhat optimal and the new agent states imply small modifications to the solution.
\citeauthor{Michel2002}\cite{Michel2002} in their paper presents a method for local search using the \textit{Comet} programming language. \par 

\paragraph{The Approach}
\textit{Commet} is an OOP programming language to solve constraint problem using local search. The model need invariants, they are computed at every iteration of the solver. They indicate that the model has to respect this constraint it doesn't describe how to do it. The model also has constraints that can be violated , the model keep track of those violations via:
\begin{itemize}
	\item Is the constraint satisfied
	\item  The degree of violation
\end{itemize}
The degree of violation is an indicator of how much the constraint is not respected for example for the constraint "all different" it's the number of identical values. The solver uses the violation degree in relationship with the iteration to navigate the tree of solutions. The last component  is the search  which set the iterator and the heuristic of the search it needs to be placed in a loop with a condition to find the solution needed,for example, when the violation degree is zero.The solver will swap values from a starting instance to find the local optimal solution. With this approach the authors were able to get a better result than the lower-level local search algorithm.
\end{document}